function downloadFile(source, target, isTemp = 'N',succesE,errorE) {
  window.onDownloadFileSuccess = function(res){
    console.log('success:',res);
    succesE(res)
  };
  window.onDownloadFileError = function(res){
    console.log('download:',res);
    errorE(res)
  };
  var options = {
    source,
    target,//如果用户制定了文件的存放路径则直接存放，否则存放至app的默认路径,仅android
    isTemp,//仅iOS,如果为Y会放到临时目录，当系统资源紧张会清空这个目录；如果为N会放到永久目录里
  }
  var args = {
    className: "FileBridge",
    function: "download",
    params: options,
    successCallBack: "onDownloadFileSuccess",
    failCallBack: "onDownloadFileError"
  }
  console.log(JSON.stringify(args));
  HandBridge.postMessage(JSON.stringify(args))
}

// {
//   "status":"PROGRESS"/"FINISH"/"FAIL" //正在传输/完成/失败
//   "fileSize":1234   //文件总大小，当为-1时则表示文件的大小不可获取
//   "finishSize":1222 //已传输大小
//   "response":"xxxxx" //传输完成后文件的本地路径
// }

export default function downfileHips(source, succesE, errorE, target, isTemp = 'N') {
  downloadFile(source, target, isTemp,succesE,errorE)
}
