function useLocation() {
  return function location(onSuccess = (message) => { console.info(message) }, onError = (error) => { console.error(error) }) {
    window.onSuccessLoc = onSuccess
    window.onErrorLoc = onError
    let options = {
      "platform": "gaode",//百度（baidu）或高德（gaode）
    }
    let arg = {
      className: "LocationBridge",
      function: "location",
      params: options,
      successCallBack: "onSuccessLoc",
      failCallBack: "onErrorLoc"
    }
    HandBridge.postMessage(JSON.stringify(arg));
  }
}

export { useLocation }
