import { post } from '@/utils/http'

const baseURL = import.meta.env.VITE_LOCAL == 'true' ? '/api' : import.meta.env.VITE_HTTP_BASE_URL

const api = {
  // 客户信息变更申请按钮
  changeApprove(data = {}) {
    return post(`${baseURL}/app/api/app/master/change/request/approve`, { ...data, userId: window.localStorage.getItem('userId') })
  },
  //  选择项目
  contractNumber() {
    return post(`${baseURL}/app/api/app/contract/number`, { userId: window.localStorage.getItem('userId') })
  },
  // 首页
  changeQuery() {
    return post(`${baseURL}/app/api/app/master/change/query`, { userId: window.localStorage.getItem('userId') })
  },
  // 明细
  requestDetail(data) {
    return post(`${baseURL}/app/api/app/master/change/request/detail`, data)
  },
};

export default api;
