import { post } from '@/utils/http'

const baseURL = import.meta.env.VITE_LOCAL== 'true' ? '/api' : import.meta.env.VITE_HTTP_BASE_URL

const api = {
  // 首页查询
  getlist(data = {}) {
    return post(`${baseURL}/app/api/app/financing/intention/query`, { userId: window.localStorage.getItem('userId'), ...data })
  },
  getDetail(data = {}) {
    return post(`${baseURL}/app/api/app/financing/intention/file`, data)
  },
  saveInfo(data = {}) {
    return post(`${baseURL}/app/api/app/financing/intention/save`, { userId: window.localStorage.getItem('userId'), ...data })
  },
  getAgent(data = {}) {
    return post(`${baseURL}/app/api/app/agent/file`, data)
  }
};

export default api;
